package cn.hmsoft.ai.face;

import java.io.File;

import cn.hmsoft.ai.face.baidu.BaiduFaceManager;

/******************
 * 人脸信息维护
 *
 */
public abstract class FaceManager {
	private static FaceManager ai = null;

	public static FaceManager instance() {
		if (ai == null) {
			synchronized (FaceManager.class) {
				try {
					ai = BaiduFaceManager.class.newInstance();
				} catch (InstantiationException | IllegalAccessException e) {
					e.printStackTrace();
				}
			}
		}
		return ai;
	}


	protected abstract String addFace(File file, String userId);
	
	protected abstract String delFace(String userId);
}
